SDL_SetTextInputRect(3)

NAME
SDL_SetTextInputRect - Set the rectangle used to type Unicode text inputs.

HEADER FILE
Defined in SDL3/SDL_keyboard.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetTextInputRect(const SDL_Rect *rect);

DESCRIPTION
Native input methods will place a window with word suggestions near it, without covering the text being inputted. To start text input in a given location, this function is intended to be called before SDL_StartTextInput , although some platforms support moving the rectangle even while text input (and a composition) is active. Note: If you want to use the system native IME window, try setting hint SDL_HINT_IME_SHOW_UI to 1 , otherwise this function won't give you any feedback.

FUNCTION PARAMETERS

rect
    the SDL_Rect
     structure representing the rectangle to receive text (ignored if NULL)

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_StartTextInput(3)